Copyright: Marcus Mönnig - 1996/1997


Contents

Introduction for new users

Features of the 1-4-All HTML editor

Troubleshooting

Registration

Release history

Contacting the author

The Basics

The main screen

The Buttonbar

HTML viewers

Setting your preferences

Editor options

Additional options

Directories

Application Launcher

HTML viewers

Timestamps

Tools:

The tag wizard

The table editor

The frame wizard

JavaScripts 'n' Stuff

The spelling checker

Multiple file search/replace

The file dependency lister

Application Launcher

Timestamps

Keyboard shortcuts

The legal stuff:

Netscape is a registered trademark of Netscape Communications Corp. (http://www.netscape.com.)

Microsoft, Windows, Windows95 and Internet Explorer are either registered trademarks or trademarks of Microsoft

Corp.(http://www.microsoft.com) in the United States and/or other countries.

The HTML Reference Library is copyright by Stephen Le Hunte (http://subnet.virtual-pc.com/~le387818/).


contact
How to reach the author?

You are welcome to contact me when you run into problems or even find bugs, but please take the time to read the Troubleshooting section before! Further please let me know your operation system and the version number of 1-4-All. Thank you!

I also appreciate if you send in your most wanted features for the next release of the application. If you have a good javascript you would like to being added to 1-4-All's JavaScript support, let me know!

You can reach me at:

Internet: minibbjd@cs.tu-berlin.de

CompuServe: 106142,3255

World Wide Web: http://ourworld.compuserve.com/homepages/minibbjd/


Registration
Registering 1-4-All

Good idea! ;-)

1-4-All is distributed as shareware. Feel free to test this program during the

30-days evaluation period. If you would like to use 1-4-All afterwards, you have to register.

The registered version of 1-4-All removes the nag-screen on program startup.

Registration of the current version of 1-4-All includes all following versions 1.x.

Please note: The program is not being shipped. On Registration you will receive a registration key that removes the limitations of the shareware version by either e-mail or postal mail.

Registration fees:

Single user license for private users and educational institutions:	30 US$

Single user license for commercial users:	90 US$

(Commercial users and educational institutions who would like to get more than one user license, please contact the author for further registration information on site licenses.)

How to register?

You will need either a CompuServe account or a major credit card to register.

•	CompuServe

You can register online using CompuServe's shareware registration service (SWREG):

-Private users and

educational institutions: GO SWREG ID#12566

-Commercial users: GO SWREG ID#12567

•	Registration with credit card via PsL

On- and offline registration using Visa, MasterCard, American Express and Discover credit cards is available via PsL.

The Public software Library (PsL) has been recognized in lots of computer magazine as having the largest, best organized, and most up-to-date shareware library. They are in business since 1982 and since 1989 they offer Credit Card Registration Service for Visa, Master Card, American Express and Discover credit cards.

If you want to register online, please go to the 1-4-All Homepage, click on register and click on the link to the online registration form at PsL's Web Site.

If you prefer offline registration, you can order with MC, Visa, Amex, or Discover from Public (software) Library by

-calling 800-2424-PsL or 713-524-6394 (please refer to item #14850)

-sending a FAX to 713-524-6398 (Use this orderform)

-sending CIS Email to 71355,470 (Use this orderform)

(that is 71355.470@compuserve.com for Internet users)

You can also mail credit card orders to PsL at P.O. Box 35705, Houston, TX 77235-5705.

THE ABOVE NUMBERS ARE FOR CREDIT CARD ORDERS ONLY.

THE AUTHOR OF THIS PROGRAM CANNOT BE REACHED AT THESE NUMBERS.

Any questions about the status of the shipment of the order, refunds, registration options, product details, technical support, volume discounts, dealer pricing, site licenses, non credit card orders, etc., must be directed to minibbjd@cs.tu-berlin.de.

To insure that you get the registration key, PsL will notify me the day of your order and I will send the key directly to you.

Keys are sent out by e-mail or for additional $2 by postal mail to your address.

•	Other payment methods:

Users located in Germany can contact the author for information on dircect bank transfers or payment with Eurocheques.

But Marcus, I don't have a credit card and I don't have access to CompuServe! What now?

The latest information on registration is always available at the 1-4-All Homepage.


Introduction
Introduction to the 1-4-All HTML Editor

What's 1-4-All?

1-4-All is a tag-based, shareware HTML editor for 32-bit Windows. It will run on Windows 95 and Windows NT4.

HTML stands for Hypertext Markup Language, a set of reserved words and conventions for displaying text, graphics, sounds, etc. on the World Wide Web (WWW). You can use a standard editor, like Windows Notepad to create a HTML file, but most likely after a while you'll want HTML editing a bit more luxurious. Welcome to 1-4-All!

What isn't 1-4-All?

1-4-All will NOT teach you the HTML language, neither this help file, nor the program itself. There are a whole bunch of good books available on HTML and there are also some good online resources.

If you are in need of a good HTML help file, I personally recommand the "HTML Reference Library" by Stephen Le Hunte, a native Windows help file available at http://subnet.virtual-pc.com/~le387818/ and mirrored at the Tucows software archive. 1-4-All supports external help files and it has been developed to support especially the "HTML Reference Library".

1-4-All is not a WYSIWYG (What you see is what you get) editor. 1-4-All does not have converting abilities, e.g. RTF->HTML.

Learning the basics of the 1-4-All HTML editor


The Basics

It's a good idea to read the troubleshooting section first, so if you ever run into a problem sometimes, you'll already know where to get the answer.

The following is a typical screenshot of the Editor (click on any region to get a further explanation):

On the right side of the window you see the edit field, the place where you type in your HTML code and text. On the left side the file viewer gives you easy access to all relevant files.

The upper part of the file viewer shows a directory tree (either in the old Windows 3.1 style or in the new Explorer style; you can set this in the preference dialog).

Right under the directory tree you see the filelist of the current directory. You can right click on the filelist and determinate which files you want 1-4-All to show here (HTML files, Image files and/or Multimedia files).

You can tell 1-4-All which file extensions should be regarded as HTML files (e.g. *.htm; *.shtml; *.css) and Multimedia files (e.g. *.mid; *.wav; *.avi) in the preference dialog.

By double clicking on a HTML file in the file viewer, it is loaded into the editor. Clicking on an image file will display the image.

The top of the main window is the place for the button panel. The left group of buttons call functions of the editor (e.g. cut, paste, project managment or starting internal or external browsers for HTML viewing), while the right group holds a variety of buttons on tabbed pages that insert HTML code into the current document or open dialogs or wizards for HTML tag creation. These buttons are actually placed on a dockable button toolbar. Right click on the toolbar and select "Undock toolbar" to be able to move the toolbar where you  would like to see it.

The easiest way to create a tag in 1-4-All is by dragging and dropping a file from the file list on the left onto the edit window on the right. If you drag and drop a *.html file e.g., a complete link tag will be inserted at the current cursor position.

HTML editing is not just about creating tags, but also about editing existing tags. 1-4-All let's you edit the following existing tags through the standard dialogs: <TITLE>, <BODY>, <A HREF>, <A NAME>, <IMG>, <FONT>, <BASEFONT>, <FORM>

To use this feature just select the whole tag you want to edit, right click and select 'Edit this tag' from the menu. Alternatively, you can do a FAST double click on a tag.

To end this short intro to the application, here are a few guidelines that you should follow:

-Do not use file or directory names with spaces. 1-4-All supports long filenames, but it will have problems with filename like 'my image.gif' or directories like 'html images'.

-If you use a function in the editor, it often is important if you selected some text before. For example, most of the "easy" tags, like <B>...</B> will only be inserted correctly, if you selected text before.

    Example: Selecting a text region in the edit window and pressing the Bold Face button.

 	Presenting 1-4-All. A  HTML editor that satisfies all your HTML authoring needs.

Presenting <B>1-4-All</B>. A  HTML editor that satisfies all your HTML authoring needs.

-Only files with extensions given in the preference dialog are shown in the File Viewer on the left side of the main window. Use File|Preferences|Additional options to add or delete extensions (I know, I said that already). To prevent double entries, do not add "htm" and "html" to the extension list, since the extension "htm" in the list will show both *.htm AND *.html files.

-If you chose 'Relative Filepaths' in the Preference dialog, all linked HTML, image or other files will be linked with their relative paths to the currently opened document.

Example:

 	You are editing the File: C:\MyHtml\Homepage\index.html

You add a link to the file: C:\MyHtml\Homepage\Hobbies\Sailing\index.html

1-4-All will automatically insert the relative paths to your file:

<A HREF="/Hobbies/Sailing/index.html">...</A>

Although, this relative referencing will most likely be suitable for most users, you can switch to absolute or no filepath in the preference dialog.


orderform
Order form for PsL

Fax or send to:

PsL

P.O. Box 35705,

Houston, TX 77235-5705

USA

Fax: 713-524-6398

1-4-All HTML Editor (Item #14850)

I want to register the 1-4-All HTML Editor for Windows 95.

I understand that I will receive a registration key by either e-mail

or postal mail that removes the limitations of the shareware version.

First/Middle Name: __________________________________

Last Name:         __________________________________

Company name:      __________________________________

Address:           __________________________________

                   __________________________________

City: _______________________ State: _______

Zip/Postal Code: ____________ Country: _________________

Your email address: __________________________________

CREDIT CARD INFO:

Credit card number: ____________________ Expiration date: _______

CREDIT CARD BILLING ADDRESS

(Complete any of the following which is different from above)

Name on the card:__________________________________

Company name:    __________________________________

Address:         __________________________________

         __________________________________

City: _____________________ State: _______

Zip/Postal Code: __________ Country: __________________________

I would like to order:

 ___  single user license(s) for private users, members of educational

      institutions and no-profit organizations - US$30 per license

 ___  single user license(s) for commercial users - US$90 per license

O  I would like to get my registration key via e-mail.

O  I would like to get my registration key via postal mail for

     additional US$2 S&H.

Total: US$ ____

Date: ______________  Signature: ______________________________


Features of the 1-4-All HTML Editor

Drag and Drop support

Lets you create link and image HTML code on the fly.

Internal and external HTML viewer

1-4-All has a built in HTML Viewer that lets you check what your HTML code will look like with a click of a button. You can either use 1-4-All's own internal viewer or use the WebObject browser that comes with Internet Explorer 3.01.

Further you can send the current HTML document to the Netscape Navigator and the Internet Explorer. The external browser will automatically be started and the current document will be loaded.

Relative, absolute and no filepath options

Based on your choice in the preference dialog, all linked HTML and image files are inserted with relative, absolute or no  filepaths. When using relative paths, all linked files will be inserted with their relative path to the currently opened HTML file.

A neat multiple document interface

Spelling checker

The internal spelling checker is clever enough to handle extended characters and it supports multiple dictionaries and user dictionaries. International dictionaries are available at the 1-4-All Homepage.

Supports external HTML help files

You can name your favorite HTML help file (e.g. the HTML Reference Library) in the preference dialog and then access it by hitting F2.

Tag Wizard

The tag wizard lets you create tags with their attributes very easily by double clicking. Further the tag wizard shows you information if the tag/attribute is supported by the Netscape Navigator or Internet Explorer.

Dockable button toolbar

The button toolbar holds buttons for the most important tags on multiple tabbed pages.

'Page properties' button for fast HTML document foundation and editing

The page properties button dialog helps you starting a new HTML file. You can choose the document title, background image, all font and background colors and can preview these settings at the same moment. This lets you check the legibility of your text depending on the font color settings and your background image and color.

Edit existing tags

1-4-All lets you edit the following existing tags through the standard dialog windows by simply double clicking on a tag: <TITLE>, <BODY>, <A HREF>, <A NAME>, <IMG>, <FONT>, <BASEFONT>, <FORM>

Project managment

1-4-All supports project managment, that gives you access to all files of a project you are working on.

Multiple templates

You can create and access multiple templates through a neat interface.

Image Preview

1-4-All lets you view either a thumbnail or full-scale image of gifs and jpegs. This feature lets you quickly find the image filename you need, without having to start an external image viewer. The following image file formats are supported in addition to gif and jpeg: art, bmp, cut, dib, emf, gem, hrz, iff, img, lbm, mac, msp, pcx, pic, png, ras, rle, tga, wmf, wpg.

Predefined Javascripts

1-4-All comes with seven predefined javascripts, that can easily be inserted in your HTML files. Further you can add your own scripts and later paste them into your documents with a few clicks.

Text conversion

Lets you convert UNIX style to DOS style slashes and extended characters, like umlaut characters, to their HTML equivalents (and vice versa). Further there is a option that converts extended characters to their HTML equivalents while you type them. Documents can be exported to Unix, saved with Unix style line feeds.

Timestamps

1-4-All supports timestamps, date or time fields that are automatically set to the current date/time when a document is saved.

Three different window layouts and word wrap option

The preference dialogs gives you the choice between working with or without word wrap in the edit window. Further you can set the edit window to three different sizes, to match your needs as closely as possible.

Previously used links and images

1-4-All remembers the last 20 links and last 20 images you used and lets you access them again by right clicking. Further 1-4-All remembers all RGB color values that you use and gives you easy access to them.

Smart table editor and frame wizard

The build in table editor and frame wizard make the creation of tables and frames as easy as possible.

Automatic backup

1-4-All supports user defined auto-backup.

Automatic color coding

The color coding option makes it easy for you to distinguish HTML tags, text and comments at first glance. Advanced color coding with different colors for links, images and anchors is also available.

Application Launcher

The build in Application Launcher lets you start other programs from within 1-4-All.

File dependency lister

This function shows you all files linked in the currently opened HTML file.

Multiple file search/replace

Lets you do searches and replaces in more than one file at a time.

15 configurable user buttons


What now?
I don't have a credit card and don't have access to CompuServe. What now?

International money transactions are a major pain. When registering through CompuServe or with credit card via PsL, you will usually receive your registration key within one business day. Sending a check or doing a direct transfer to my account however takes weeks (weeks until the money is actually booked to my account and I send out the registration key).

I do advise against sending a check or doing a direct transfer. Maybe, you have a relative or a good friend who lets you use his credit card or maybe you can find someone in your area who has access to CompuServe.

If you however still see no other way, contact me and I'll let you know details for a direct transfer or a sending a check.


Tucows???

Tucows stands for "The ultimate collection of Winsock software". Basically they list and rate software  for use on the Internet (Mail clients, Web Browsers, HTML Editors, etc.). They have lots of mirrors worldwide, so you will always find a site near to you location. The main site is http://www.tucows.com. From there you can look for a mirror near you to get a good transfer rate for downloads.


The main screen

The following is a typical screenshot of the Editor (click on any region to get a further explanation):

On the right side of the window you see the edit field, the place where you type in your HTML code and text. This also the place where the internal HTML viewer will show up.

On the left side the file viewer gives you easy access to all relevant files.

The upper part of the file viewer shows a directory tree (either in the old Windows 3.1 style or in the new Explorer style; you can set this in the preference dialog).

Right under the directory tree you see the filelist of the current directory. You can right click on the filelist and determinate which files you want 1-4-All to show here (HTML files, Image files and/or Multimedia files).

You can tell 1-4-All which file extensions should be regarded as HTML files (e.g. *.htm; *.shtml; *.css) and Multimedia files (e.g. *.mid; *.wav; *.avi) in the preference dialog.

By double clicking on a HTML file in the file viewer, it is loaded into the editor. Clicking on an image file will display the image.

The top of the main window is the place for the button panel. The left group of buttons call functions of the editor (e.g. cut, paste, project managment or starting internal or external browsers for HTML viewing), while the right group holds a variety of buttons on tabbed pages that insert HTML code into the current document or open dialogs or wizards for HTML tag creation. These buttons are actually placed on a dockable button toolbar. Right click on the toolbar and select "Undock toolbar" to be able to move the toolbar where you  would like to see it.

The easiest way to create a tag in 1-4-All is by dragging and dropping a file from the file list on the left onto the edit window on the right. If you drag and drop a *.html file e.g., a complete link tag will be inserted at the current cursor position.

You can set the view options for the main screen from the by selecting 'View' from the main window or by selecting 'View options' from the context menu (right click on the edit window).


Troubleshooting

Problem: I got double entries in filelist on the left side of 1-4-All's main screen.

Solution: Check the extension list in the preference dialog for double entries. Please not that the extension 'htm' in the extension list will show both, *.htm and *.html in the filelist.

Problem: The edit window is truncated.

Solution: This problem is somtimes experienced on computers running Windows NT 3.5x. To fix it, enable the NT3.5/3.51 patch in the preference dialog.

Problem: When I start 1-4-All or I create a new document, I get a message 'Can't find document template'.

Solution: 1-4-All can't find the file that you set as the default HTML template. Click 'File|New' and right click on the new default HTML template. If there are no templates show in this dialog, create a new template by clicking on 'File|Save as template'.


Preferences

Select 'File|Preferences...' to customize 1-4-All to your needs.

The following sections can be found on multiple tabbed pages in the preference dialog:

Editor options

Additional options

Directories

Application Launcher

HTML viewers

Timestamps


Editor options

Paths in HTML code:

Determents if  linked files (HTML, image, multimedia files) are inserted with their relative path to the current HTML document, with their absolute path or with no path at all.

Edit options: These wordwrap option lets you decide if you want the Editor to automatically wrap lines that are longer then the edit window (never use wordwrap when working with documents that include JavaScripts).

The second option determents if all slashes in filepaths should be converted to Unix style slashes.

Finally, the setting of the last option tells 1-4-All if you want to convert extended characters, like umlaut-characters to be converted to their HTML equivalents (e.g. 'ü' to '&Uuml;' ) while writing them.

Font/Color:

Lets you set the font used in the edit window.

Color coding:

This box lets you enable color coding and set the colors for HTML code, normal text, comments and, in case you enable advanced color coding, of colors for links, images and anchors.


Additional options

Extensions:

Shows you the file extensions of files that are considered HTML documents and multimedia files. These files are shown in the File Viewer on the left side of the main window of 1-4-All and can be edited or viewed with the program.

To add an extension to the list, type it in and press the Add button. To delete an

extension from the list, select the extension and press the Delete button.

Please note, that adding e.g. the extension 'htm' will also show all files with the extension 'html', so you shouldn't add 'htm' and 'html' to prevent double entries in the filelist.

Directory listing style:

Here you can determinate if you want 1-4-All show the old style directory list (as known from Windows 3.x) or the new Explorer style directory tree.

Backup:

This box lets you activate the automatic backup function and set the backup interval. Backup files are saved as 'filename.bak'. If enabled you will be asked if the backup files should be deleted after each session.

NT3.5/3.51:

Some users experienced that the 1-4-All edit window is truncated when running on Windows NT 3.5/3.51. If you experience this bug, try to enable this option and restart

1-4-All.


Directories

HTML-Homedirectory:

This is the initial directory where the file/directory viewer on the left side of the main windows is at the start of 1-4-All. You can either enter a fixed directory here or let 1-4-All remember the last used directory in the previous session.

External HTML Helpfile:

1-4-All does not come with a help file explaing the HTML language, but it does however interact with an external help file of your choice. The external help file can be viewed by hitting F2 in the editor.

You can specifiy any file type, e.g. a text file or a HTML file, but I advise to use a native Windows Helpfile here, e.g. the "HTML Reference Library" available at: http://subnet.virtual-pc.com/~le387818/


Application launcher

1-4-All lets you launch up to four other applications from within the program. Set the path to the executables and the program titles in the preference dialog and decide if you want 1-4-All to start these applications automatically every time 1-4-All is started.

You can also start these applications later manually, by choosing Tools|Application Launcher from the main menu.


HTML viewers

Introduction:

1-4-All supports Netscape Navigator and Internet Explorer as external HTML viewers.

Furher, 1-4-All has a built in internal HTML Viewer. Internal means that the document you want to view is not send to another application, but is shown inside 1-4-All. If you start the internal viewer, the edit window will temporary disappear to make space for the internal viewer. When finished, you can switch back to the editor.

To the left you see the two buttons from 1-4-All's button panel that start/switch to the HTML viewers.  Clicking on the left button will start your default external browser as specified in the preferences. Right clicking on it will start the secondary external viewer. The right button will start 1-4-All's internal viewer.

Setting up the HTML viewers in the preference dialog:

On the page tited 'HTML Viewers' in the preference dialog you can set up and customize the internal and external viewers.

Internal and external viewers:

These settings apply to both, internal and external viewers. When you click on one of the above shown buttons the document you are currently editing will be shown in the called viewer.

Depending on the settings in this box, the current document will either be saved (or better to say copied) as a temporary file and this temporary file will be shown in the HTML viewer or alternatively the current document itself will automatically be saved under its own filename and the file itself will be shown in the viewer. Choosing the third option 'Automatically save all open files'  will automatically save all files currently open in the editor when clicking on one of the above buttons and show the current document in the HTML viewer. This option is especially useful when working with framed documents.

Internal viewer:

1-4-All's internal viewer has some drawbacks. It does not support all tags (e.g. it will fail to show framed documents), but on the other hand it is very quick and won't harm your memory resources too much.

As an alternative to 1-4-All own internal viewer, you can use the WebObject that comes with Internet Explorer 3.01 for internal viewing of HTML documents. Using this option is a bit like opening Internet Explorer inside 1-4-All. Once the WebObject is created this is also a fast possibility to view your HTML documents.

You will need Internet Explorer 3.01, that is build 1215 in the About box of Internet Explorer, or later installed on your computer to use this feature.

External viewers:

This is the place where you can specify where the executable for Netscape Navigator and Internet Explorer resides on your hard disk. Upon installation 1-4-All will try to automatically fill in this information for you, but if it failed you might need to do this manually by clicking on the buttons on the right and browsing for the executable yourself.

The radiobox underneath these entries lets you set the default external browser. The default external browser is the browser that is started when clicking on the left of the above shown buttons.

The browser that is not the default external browser is the secondary external browser and can be started by rightclicking on the left of the above shown buttons.


Timestamps

Timestamps are usually used for letting users who browse your HTML page know, when the document was edited the last time.

Normally, you would insert this information as plain text somewhere in your document, e.g. 'Last change: February 28, 1997'. Of course, you would have to update this information everytime you change the document. Timestamps do this automatically for you everytime you save the document.

You can insert a timestamp by clicking on the timestamp button on the 'Additional page' of the button bar shown left.

A typical timestamp looks like:

'Last change: <!-- 1-4-ALL TIMESTAMP START -->February 28, 1997<!-- 1-4-ALL TIMESTAMP END -->'

1-4-All will automatically update this field everytime you save the document.

The format of the time/date shown between the timestamp start and end tag is fully customable in the preferences dialog.  If you use real names, like 'March' or 'Friday' instead of numbers, you can choose which langauge to use.

You can customize the time/date format for your timestamps with the following specifiers:

(Format specifiers may be written in upper case as well as in lower case letters;

both produce the same result.)

Specifier   Displays

---------------------------------------------------------------------------------------------------------------------------------------------------------

c	Displays the date using the format given by the ShortDateFormat global

variable, followed by the time using the format given by the LongTimeFormat

global variable. The time is not displayed if the fractional part of the DateTime

value is zero.

d           	Displays the day as a number without a leading zero (1-31).

dd          	Displays the day as a number with a leading zero (01-31).

ddd	Displays the day as an abbreviation (Sun-Sat) using the strings given by the

            	ShortDayNames global variable.

dddd	Displays the day as a full name (Sunday-Saturday) using the strings given by

            	the LongDayNames global variable.

ddddd   	Displays the date using the format given by the ShortDateFormat global

            	variable.

dddddd  Displays the date using the format given by the LongDateFormat global

            	variable.

m           	Displays the month as a number without a leading zero (1-12). If the m

            	specifier immediately follows an h or hh specifier, the minute rather

            	than the month is displayed.

mm          Displays the month as a number with a leading zero (01-12). If the mm

            	specifier immediately follows an h or hh specifier, the minute rather than

            	the month is displayed.

mmm       Displays the month as an abbreviation (Jan-Dec) using the strings given by

            	the ShortMonthNames global variable.

mmmm    Displays the month as a full name (January-December) using the strings given

            	by the LongMonthNames global variable.

yy          	Displays the year as a two-digit number (00-99).

yyyy       Displays the year as a four-digit number (0000-9999).

h           	Displays the hour without a leading zero (0-23).

hh          	Displays the hour with a leading zero (00-23).

n           	Displays the minute without a leading zero (0-59).

nn          	Displays the minute with a leading zero (00-59).

s           	Displays the second without a leading zero (0-59).

ss          	Displays the second with a leading zero (00-59).

t           	Displays the time using the format given by the ShortTimeFormat global

            	variable.

tt          	Displays the time using the format given by the LongTimeFormat global

            	variable.

am/pm    	Uses the 12-hour clock for the preceding h or hh specifier, and displays

            	'am' for any hour before noon, and 'pm' for any hour after noon. The am/pm

            	specifier can use lower, upper, or mixed case, and the result is displayed

            	accordingly.

a/p         	Uses the 12-hour clock for the preceding h or hh specifier, and displays

            	'a' for any hour before noon, and 'p' for any hour after noon. The a/p

            	specifier can use lower, upper, or mixed case, and the result is displayed

            	accordingly.

ampm      Uses the 12-hour clock for the preceding h or hh specifier, and displays

            	the contents of the TimeAMString global variable for any hour before noon,

            	and the contents of the TimePMString global variable for any hour after noon.

/          	Displays the date separator character given by the DateSeparator global

            	variable.

:           	Displays the time separator character given by the TimeSeparator global

            	variable.

'xx'/"xx"  	Characters enclosed in single or double quotes are displayed as-is, and do not

            	affect formatting.


The Buttonbar

The buttonbar shown above holds a variety of buttons that either let's you insert tags directly, e.g. the button labeled 'B' inserts '<B>' before and '</B> after the currently selected text. Another example is the button with the chain on it, that will start the link dialog.

For further information about each button, please refer to the hint that pops up when you move the mouse over a button.

Custom buttons:

The last tab on the buttonbar lets you setup 15 custom tags. Just open the setup dialog by clicking the button on the far right of that tab page and type in the button title, the start and the end tag for each button.


The tag wizard

The Tag Wizard gives you easy access to all tags and their attributes and shows you which tags and attributes are supported by Netscape Navigator and Internet Explorer.

To start the Tag Wizard select 'More Tags|Tag Wizard...' from the main menu or

hit CTRL-T.

The left window shows all available HTML tags, while the right window shows all available attributes for the selected tag.

To build a tag just double-click on the tags and attributes, type in the values for the attributes and click the insert button on the lower right side.

If you have 1-4-All setup to work with an external HTML helpfile, you can get help on the currently selected HTML tag by clicking the help button.


JavaScripts and Stuff
JavaScripts 'n' Stuff

The JavaScript tool lets you insert predefined JavaScripts, create a detour page or text effects.

When working with JavaScripts you should always turn off the wordwrap option in the editor.

When adding more than one script to a HTML document you might have to do some manual adjustments, e.g. adding the fade script will add the 'onLoad' attribute to the <BODY> tag. When you add another script that is called from 'onLoad' you will get a second 'onLoad' attribute in the <BODY> tag. You would need to change the <BODY> tag from

'<BODY onLoad="function1" onLoad="function2">'

to

'<BODY onLoad="function1;function2">'.

The follwing predefined scripts are available:

Scrolling Status Bar:

This script lets you enter a text that will scroll in the status bar of the Web browser. To use the script in your HTML document, just enter the text you want to scroll in the status bar, select a scrolling speed and click the OK button.

If the scrolling text shows up truncated in the Web browser, try to play with the POSITION value in the upper part of the script.

Ticker:

Adds a ticker at the current cursor position. To use the script enter your ticker text lines in the appropriate field and set the width of the input box used as the ticker.

Marquee:

Adds a marquee, a textbox with scrolling text in it, to your HTML document. To use the script enter the text in the appropriate field and set the width of the input box in that the text will scroll in.

Autosroll:

This script has a very nice effect and is a totally different scrolling script. It will automatically scroll the HTML page vertically.

Just make sure that the document you want to add this script to is of reasonable length, so that a vertical scrollbar is shown in the browser.

Fadein/fadeout:

This script will make your HTML page fade in/out, like it was possible with a previous version of Netscape. Before using this script, please make your final decision for the background color of your HTML document.

To use the script just select the type of fade (fadein/fadeout/both), select a fading speed and a color from which to fade in or out and click the OK button.

Time/Date:

Adds a box with a running clock to your HTML document.

To use the script just position the cursor caret where you would like to insert the clock, lick the button for this script and press OK in the dialog.

Slideshow:

This script adds a slideshow to your HTML document, similar to an animated gif.

Please note that all slides (images) have to be of the same size!

To use this script just select the images you would like to show in the slide show in their correct order, choose a delay between the slides and press the 'OK' button.

Then you have to set the index value at the top of the script to the index of the image that should be the replaced during the slideshow. E.g. if you have 3 images before the slideshow image you have to set index to 3. If the slideshow image is the first image in the document, the index has to be set to 0.

var delay = 2000;

var imgs = new picarray;

 ->     	var index = 3;

      	var count = 2;

      	var i = 1;

Detour page:

This is a little tool, in fact not really a script, that quickly generates a detour page; unfortunately an often needed item.

Just fill in the new URL the user should be redirected to and click the 'OK' button. The detour page will be created as a new document.

Text effects:

This tool lets you create nice text effects as shown in the examples. Just select the kind of text effect you would like to apply, enter the text you want to apply the effect to and click on the Ok button.

Custom scripts:

You can easily add your own script to 1-4-All. Just click the 'New' button and enter a script name and the script code in the upcoming dialog. The script will saved as a text file with the extension *.jsc in the the 'scripts' directory of 1-4-All's program directory and can then be easily accessed by selecting it from the drop-down list.


Javascript
JavaScript is an easy programming language that is currently supported by Netscape Navigator and to a certain extend by Internet Explorer.


The Table editor

The Table editor offers a comfortable way to create HTML tables. Start the Table editor by clicking on the button shown left (situated on the 'Additional' tab of the buttonbar; this button is also present on the 'Common' tab, but there it holds the Quick table function, that inserts just the skeleton of a HTML table).

To use the Table Editor just enter the number of rows and columns and fill in the other table properties. Then fill in the content of all cells in the editor window on the left side.

Finally enter the properties for the individual cells by selecting a cell and then entering the properties on the cell properties page.

To assign a set of properties to all cells just click the 'Use these values for all cells' button.

Please note that some attributes to the <TABLE> and the <TD> tag (marked with the symbol shown on the left) are Internet Explorer specific. If you want everyone to view the table the way you designed it, you shouldn't use these attributes.


The frame wizard

Frames let you diplay multiple HTML files on one page in a Webbrowser.

The frame wizard offers a quick way to create a framed document.

To use the Frame Wizard, click the Frame Wizard button shown on the left, decide if you want to frame the HTML window in rows or in columns and enter the number of rows in each column or respectively the number of columns in each row. Click the 'Next' button and the main window will show up.

Select a frame on the left side of the window and make your changes to the size and attributes of this frame. Don't forget to enter an URL for this frame. Repeat the process for all frames.

If you don't type in a name for a frame the frame will be named by its count number, e.g. 'FRAME7'.

Optionally you can enter Netscape specific attributes to the <FRAMESET> attribute on the second page of the multiple tabbed page on the right side.

When you are done with all frames, click the Ok button. The frame code will be inserted in the current HTML document.

Please note that some attributes to the <FRAMESET> and the <FRAME> tag are Internet Explorer or Netscape Navigator specific. If you want all people to view the frameset  the way you designed it, you shouldn't use these attributes.


Multiple file search/replace

This tool lets you search for and replace words in more than one file at a time. This is e.g. especially useful for replacing updated links in multiple HTML documents. To use this feature click on 'Tools|Multiple file search replace'.

Note: Do not replace text in files that are currently open in the editor.

To use it add the files you want to search to the filelist at the top of the dialog window by  selecting one or more files in the file viewer on the left side of the window and click the add button labeled '->'. Use the remove button ('<-') to remove files from the list.

Type in your search word and if necessary the word it should be replaced with.

Depending on the action you want to perform, press the 'Search' or the 'Replace' button.

The info window on the lower right side of the window will tell you about the number of hits/replaces in each file.


The file dependency lister

This tool lists all files that are linked from the currently opened HTML document.

To use this feature click on 'Tools|File dependency lister'.

You can specify if you want 1-4-All to list HTML files, image files and other files and you can limit the listing to local files only by checking the according checkboxes on the left side of the window.


The spelling checker

1-4-All's spelling checker lets you check the spelling of your HTML documents. It will only check text and omit HTML tags. It supports multiple dictionaries and user dictionaries.

For extensive information about the spelling checker please refer to the spelling checker help file that comes with 1-4-All.

1-4-All comes with an English (American-English) dictionary. Further dictionaries are available at the 1-4-All Homepage on the World-Wide-Web.


Disclamer, License

Note for shareware distributors

Disclaimer

The author of this program accepts no responsibility for damages resulting from the use of this product and makes no warranty or representation, either express or implied, including but not limited to, any implied warranty of merchantability or fitness for a particular purpose. This software is provided "AS IS", and you, its user, assume all risks when using it.

License

You are hereby licensed to: use the Shareware Version of this software for a 30 day evaluation period; make as many copies of the Shareware version of this software and documentation as you wish; give complete and exact copies of this Shareware version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above.

Copies of 1-4-All may be distributed without charge or further permission from the author provided that exact copies of the Shareware version are distributed.

Evaluation and further use of the software

This is not free software. The license allows you to use this software for evaluation purposes without charge for a period of 30 (thirty) days. If you want to use this software after the 30 day evaluation period you have to register. Please read the registration section in the help file for information how to do so.

Copies of the shareware version of 1-4-All may be distributed without charge provided that it is distributed complete and unmodified. You may not disassemble, decompose, reverse engineer, or alter any of the files in the package.

This software is provided as shareware and cannot be sold. This software can not be bundled with any commercial package or distributed by itself.


Note for shareware distributers

I appreciate if you consider 1-4-All for distributing.

The 1-4-All License says:

'You may [...] make as many copies of the Shareware version of this software and documentation as you wish; give complete and exact copies of this Shareware

version of the software and documentation in its unmodified form via electronic

means. There is no charge for any of the above.'

'This software is provided as shareware and cannot be sold. This software can

not be bundled with any commercial package or distributed by itself.'

Feel free to distribute 1-4-All in the unmodified package file 'all-vXXX.zip', where XXX stands for the version, as long as is not sold directly and it is clearly stated that this is a unregistered shareware version for evaluation purposes.

If you are not sure, contact me!


Keyboard shortcuts

Alt+Left 	Switch to prev. document

Alt+Right 	Switch to next document

Alt+Home 	Switch to first document

Alt+End 	Switch to last document

Ctrl+S 	Save

Ctrl+C 	Copy

Ctrl+Z 	Undo

Ctrl+V 	Paste

Ctrl+X 	Cut

Ctrl+Ins 	Ident

Ctrl+Del 	Unident

Shift+Ctrl+F1 	Small Window

Shift+Ctrl+F2 	Wide Window

Shift+Ctrl+F3 	Full Window

Shift+F1 	Internal HTML Viewer

Shift+F2 	External HTML Viewer (default)

Shift+Alt+F2 	External HTML Viewer (secondary)

Shift+F3 	Redo Color Coding

Ctrl+F 	Find

Ctrl+R	Replace

Ctrl+G 	Goto line

Ctrl+B 	Bold

Ctrl+I 	Italic

Ctrl+U 	Underlined

Shift+Enter 	Paragraph

Ctrl+Enter 	Line break

Ctrl+1 	Heading 1

Ctrl+2 	Heading 2

Ctrl+3 	Heading 3

Ctrl+4 	Heading 4

Ctrl+5 	Heading 5

Ctrl+6 	Heading 6

Ctrl++ 	Font +1

Ctrl+- 	Font -1

Ctrl+L 	Link

Ctrl+A 	Anchor

Ctrl+P 	Image

Ctrl+T 	Tag Wizard

F1 	Context Help

F2 	External Help

When the image viewer is active you can browse through the images with the cursor keys , the End and Home key.

When the internal HTML viewer is active you can get back to the editor by hitting the Escape key.


No help available

Sorry, but there is no help available on this topic.

If you run into a problem and think you need help that is not available in this help file, you are welcome to contact the author.


Release history

Version 1.1:

-1-4-All now correctly runs on Windows NT4.

-Optimized memory consumption.

-1-4-All now supports the Internet Explorer WebObject that comes with IE 3.01. It's now possible to use the Internet Explorer browsing interface as 1-4-All's internal browser. (You will need to have Internet Explorer 3.01 (that's build 1215 in the IE's About box) installed on your machine to use this feature.

-Added timestamp feature.

-Added project managment.

-You can now edit existing tags by doing a fast double click on a tag.

-Added support for multiple templates

-Added an optional Windows Explorer style directory list.

-Added a new spelling checker that suppports multiple open and user dictionaries.

-Redesigned right click menu and main menu

-Added the 'Font +1' and 'Font -1' tag on the main menu.

-It's now possible to browse for a file in the Frame Wizard.

-Redesigned the quick list and quick definition list dialogs.

-Added a text effects feature in the JavaScript 'n' Stuff dailog.

-1-4-All now correctly remembers the position of the main window between sessions.

-You can now paste text copied from a wordprocessesing software, without copying the formatting of the text.

-Optimized conversion of extended characters.

-Added 'onMouseOver' and 'onMouseOut' attributes in the link dialog.

-Added 'onLoad' and 'onUnload' attributes in the page properties dialog.

-'Alt+Left', 'Alt+Right', 'Alt+Home' and 'Alt+End' will now let you switch between open documents.

-Added advanced color coding (optional) for links, anchors and images.

-Rewrote the help file.

-Added a warning message when only 15 starts or less are available for the evaluating user.

Bug fixes:

-Fixed a mixing between 'é' and 'è' when working with extended characters.

-Fixed a bug when editing an existing anchor tag.

-Disabled wordwrap in custom Javascripts.

-Fixed the checked option in the radiobutton and checkbox dialog.

-Fixed editing of existing tags.

-Fixed a bug in the file dependency lister that stopped the application.

Version 1.0:

-Added a spelling checker.

-Replaced the internal HTML Viewer with a more sophisticated one.

-Changed all color pickers/selection dialogs.

-Changed all default filenames to 8.3 style.

-Added a dialog for the <BASEFONT> tag. An existing basefont tag is editable through the standard dialog.

-Added a dialog for a 'mailto:' link. An existing 'mailto:' link is editable through the

standard dialog.

-Added an option to save all open files before browsing them in an external viewer.

-Added 'Export to Unix...' tool, that saves the current file with Unix style line feeds.

-All files deleted in 1-4-All are now sent to the recycle bin.

-Added color coding for comments (<!--..-->). Most useful for documents with scripts.

-Added 4 Javascripts, a detour page generation tool and the possibility to add your own scripts.

-1-4-All now uses InstallShield for installation, due to some rare cases of errors during setup.

-On first start 1-4-All automatically retrieves the paths of Netscape Navigator and Internet Explorer.

-I had to remove the support for tiff encoded images in the internal image viewer for legal reasons.

Bug fixes:

-Fixed a bug in the table dialog that didn't properly managed IE cell attributes.

-Fixed the dependency lister, that now works with unquoted links.

-Fixed a bunch  of other, mostly cosmetic bugs.

Version 0.93:

-Added a MDI interface. You can now edit multiple files at the same time.

-Added support for Internet Explorer as external HTML viewer.

-Added a Tag Wizard that lets you create tags and their attributes by double clicking.

-Added a 'Tip of the day' window.

-Changed the filelistbox to Windows 95 style.

-Added support for multimedia files for use with the embed tag.

-You can now undock the button toolbar to a floating toolbar.

-You can now edit the following existing tags: <TITLE>, <BODY>, <A HREF>, <A NAME>, <IMG>,  <FONT>, <FORM>; (Attribute values don't have to be quoted any more, so e.g. BORDER=0 and BORDER="0" will both  work fine when editing existing tags.)

-The internal image viewer now supports the following image formats: ART, BMP, CUT, DIB, EMF, GEM, GIF, HRZ, IFF, IMG, JPG, LBM, MAC, MSP, PCX, PIC, PNG, RAS, RLE, TGA, TIF, WMF, WPG; (but that doesn't mean that the user viewing your HTML page has the appropriate plug-in for all these image formats... ;-) )

-Updated all tags and attributes, especially the <A HREF>, the table and frame tags.

-Evaluation is now limited to 70 starts of the program.

-Lots of cosmetic changes.

-On- and offline registration with all major credit cards is offered now.

Bug fixes:

-Added a patch option in the preferences dialog for NT users.

Version 0.92:

-The default HTML tags (<HTML>, <BODY>, etc.) are inserted automatically in new files.

-Added 'Redo color coding' function

-Added 'Copy', 'Paste', 'External HTML preview', 'Internal HTML preview' and 'Redo color coding' to right-click editor menu.

-Added right click-menu to the internal HTML previewer (you can now leave the previewer by hitting Escape or using the right-click menu).

-The external helpfile can now be in any file format (a valid windows *.hlp file is recommended though).

-Updated (rewrote in fact) the 1-4-All help file.

-Added application launcher.

-Added right-click menu for the image previewer.

-Added full-size preview of image files.

-Added Insert/Overwrite status information to the status line.

-Changed the 'Quickstart' dialog to 'Main Attributes' dialog. You can now change the main attributes (e.g. BGCOLOR, LINK, VLINK, etc.) at all times, without re-inserting these information. 1-4-All will overwrite the old values instead.

-Added a Windows 95 style uninstall option.

-some other small changes...

Bug Fixes:

-Fixed another bug in the install program.

Known bugs and issues:

-The Undo function still doesn't work right if color coding is enabled.

Version 0.91:

Bug Fixes:

-Version 0.90 had a bug that made it impossible to install on most computers.

Known bugs and issues

-The 1-4-All helpfile is more than incomplete.


statusbar
The statusbar. Shows you when the current file was saved the last time, the position of the cursor caret in rows and columns and the current edit mode (insert or overwrite).


caption
The titlebar. Shows you the filename of the current file and, if you have a project open, if the current file is part of the project.


dirlist
The directory list. Let's you browse through the directories on your hard disks. The style of the directory list is either the old Windows 3.1 style or the new Window Explorer style (set it in the Preferences dialog).


filelist
The file list shows you the relevant (relevant for HTML authors) files in the current directory, depending on their file extension. You can define which extensions should be shown in the preference dialog. Right click on the file list to toggle viewing options or to copy, move, delete a file.


editwin
The edit window. Here's the place where you type in the HTML code or 1-4-All inserts code. This is also the place where the internal HTML viewer will show up. This item has a context menu that pops up when you right click on it.


buttonbar
The button bar holds a variety of buttons that either insert tags directly or start dialogs or wizards for tag creation. You can undock the button bar right clicking on this item.


butfunc
These buttons invoke basic functions of 1-4-All, like open, save, copy, paste, project managment, etc.


left
Clicking on this button would start the default external HTML viewer and load the current document into it. Rightclicking on this button would use the secondary external HTML viewer.


right
Clicking on this button would show the current document in 1-4-All's internal HTML viewer. If you click on this button again, you will get back to the editor.


Frames?
Frames let you diplay multiple HTML files on one page in a Webbrowser.